Package org.apache.synapse.transport.passthru

## Enum WorkerState

- java.lang.Object
- - java.lang.Enum<WorkerState>
  - - org.apache.synapse.transport.passthru.WorkerState

- All Implemented Interfaces:
    `Serializable`, `Comparable<WorkerState>`

      public enum WorkerState
      extends Enum<WorkerState>

  State of workers in pass-through transport.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CREATED` | Worker is marked for execution waiting for thread
    `FINISHED` | Worker completed the job and is marked for termination
    `RUNNING` | Worker is executing

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static WorkerState` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static WorkerState[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CREATED

          public static final WorkerState CREATED

      Worker is marked for execution waiting for thread

    - #### RUNNING

          public static final WorkerState RUNNING

      Worker is executing

    - #### FINISHED

          public static final WorkerState FINISHED

      Worker completed the job and is marked for termination

  - ### Method Detail

    - #### values

          public static WorkerState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (WorkerState c : WorkerState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static WorkerState valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null